#ifndef SEARCHENGINE_H
#define SEARCHENGINE_H
#include <QObject>
#include <QString>

struct SubInfo;

class SearchEngine : public QObject
{
Q_OBJECT
public:
	virtual ~SearchEngine() {}
	virtual void searchForMovie(QString file) = 0;
	virtual void downloadMovie(QString fileName, QString id) = 0;
signals:
	void moviesFound(QList<SubInfo> movies);
	void error(QString err);
	void downloadDone();
};

struct SubInfo
{
	QString movieName, releaseName, language;
	int year, downloads;
	QString discinfo, id, langCode, subFormat, rating;
};

#endif
