#include "SearchEngine.h"
#include "QtSoap/QtSoapHttpTransport"

class Sublight : public SearchEngine
{
Q_OBJECT
public:
	Sublight();
	~Sublight();
	
	virtual void searchForMovie(QString file);
	virtual void downloadMovie(QString fileName, QString id);
private slots:
	void responseReady(const QtSoapMessage &response);
private:
	void startSession();
private:
	QtSoapHttpTransport m_soap;
	QString m_strSession;
};
