#include "Sublight.h"
#include <QtDebug>

static const char* APP_NAME = "FatRat";
static const char* API_KEY = "EE1CD908-9428-4F66-99E9-3A7581ED1B40";
static const char* API_PATH = "/API/WS/Sublight.asmx";
static const char* API_URL = "http://www.sublight.si/API/WS/Sublight.asmx";
static const char* API_XMLNS = "http://www.sublight.si/";

Sublight::Sublight()
{
	m_soap.setHost("www.sublight.si");
	
	connect(&m_soap, SIGNAL(responseReady(const QtSoapMessage&)), this, SLOT(responseReady(const QtSoapMessage&)));
	startSession();
}

Sublight::~Sublight()
{
}

void Sublight::searchForMovie(QString file)
{
}

void Sublight::downloadMovie(QString fileName, QString id)
{
}

void Sublight::responseReady(const QtSoapMessage &response)
{
	qDebug() << response.toXmlString();
}

void Sublight::startSession()
{
	QtSoapMessage message;
	message.setMethod("LogInAnonymous4", API_XMLNS);
	
	QtSoapStruct* clientInfo = new QtSoapStruct(QtSoapQName("clientInfo"));
	clientInfo->insert(new QtSoapSimpleType(QtSoapQName("ClientId"), APP_NAME));
	clientInfo->insert(new QtSoapSimpleType(QtSoapQName("ApiKey"), API_KEY));
	
	message.addMethodArgument(clientInfo);
	m_soap.setAction(QString(API_XMLNS) + "LogInAnonymous4");
	m_soap.submitRequest(message, API_PATH);
}
